import { TileMatrixSet } from '@basemaps/geo';
import { FilterDate } from './config.map.js';
export interface LonLat {
    lat: number;
    lon: number;
}
export interface MapLocation extends LonLat {
    zoom: number;
    bearing?: number;
    pitch?: number;
}
export declare const enum MapOptionType {
    TileRaster = "raster",
    Style = "style",
    TileVectorXyz = "vector-xyz",
    TileWmts = "tile-wmts",
    Wmts = "wmts",
    Attribution = "attribution"
}
export interface TileUrlParams {
    urlType: MapOptionType;
    tileMatrix: TileMatrixSet;
    layerId: string;
    style?: string | null;
    config?: string | null;
    pipeline?: string | null;
    date?: FilterDate;
    imageFormat?: string | null;
    terrain?: string | null;
    labels?: boolean | null;
}
export declare function ensureBase58(s: null): null;
export declare function ensureBase58(s: string): string;
export declare function ensureBase58(s: string | null): string | null;
export declare const WindowUrl: {
    ImageFormat: string;
    baseUrl(): string;
    toBaseWmts(): string;
    toImageryUrl(layerId: string, imageryType: string): string;
    toTileUrl(params: TileUrlParams): string;
    toConfigUrl(layerId: string, config?: string | null): string;
    toConfigImageryUrl(layerId: string, imageryId: string, config?: string | null): string;
};
